> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get the editor interface GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/content_types/{content_type_id}/editor_interface Reference: https://contentful.com/developers/docs/references/content-management-api/editor-interface/get-the-editor-interface ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string - `content_type_id` (string, required) — ID of the content type in form of a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "controls": [ { "fieldId": "name", "settings": {}, "widgetId": "singleLine", "widgetNamespace": "builtin" } ], "sidebar": [ { "disabled": false, "settings": {}, "widgetId": "someuiextension", "widgetNamespace": "extension" } ], "sys": { "contentType": { "sys": { "id": "hfM9RCJIk0wIm06WkEOQY", "linkType": "ContentType", "type": "Link" } }, "id": "default", "type": "Editor Interface" } } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); client .editorInterfaces() .async() .fetchOne( "", new CMACallback() { @Override protected void onSuccess(CMAEditorInterface result) { new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Successfully fetched the editor interface." + "\n\nResult: " + result) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch the editor interface." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); final CMAEditorInterface result = client .editorInterfaces() .fetchOne(""); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val result = client .editorInterfaces() .fetchOne("") ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getEnvironment('')) .then((environment) => environment.getEditorInterfaceForContentType('')) .then((editorInterface) => console.log(editorInterface)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) client.editorInterface.get({ spaceId: '', environmentId: '', contentTypeId: '', }) .then((editorInterface) => { console.log(editorInterface) }); .catch(console.error) ``` ```php PHP $client = new \Contentful\Management\Client(''); $environment = $client->getEnvironmentProxy('', ''); $editorInterface = $environment->getEditorInterface(''); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') editor_interface = client.editor_interfaces('', '', '').default ``` ```python Python from contentful_management import Client client = Client('') editor_interface = client.editor_interfaces('', '', '').find() ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var editorInterface = await client.GetEditorInterface(""); ```